goog.provide('FlappSWFHeader');
goog.require('FlappSWFRect');

goog.scope(function() {

/**
 * @constructor
 */
FlappSWFHeader = function() {
    ;
};

FlappSWFHeader.load = function(ibit) {
    return { signature: ibit.strN(3),
        version: ibit.ui8(),
        filesize: ibit.ui32(),
        framesize: FlappSWFRect.load(ibit),
        framerate: (ibit.a(), (ibit.ui16() / 0x100)),
        framecount: ibit.ui16()
    };
};
    
});
